//
//  PublicSuffixRulesRegistry.swift
//  SwiftEmailValidator
//
//  Generated by Utilities/update-suffix.swift
//
//  Usage:
//  # cd $(SRCROOT)/Utilities
//  # swift update-suffix.swift
import Foundation

public final class PublicSuffixRulesRegistry {
    public static let rules: [[String]] = loadFromJson()
    
    private static func loadFromJson() -> [[String]] {
        guard let registryJsonUrl = Bundle.module.url(forResource: "registry", withExtension: "json") else {
            print("WARNING failed to read public suffix registry file: registry.json not found in bundle")
            return []
        }

        let registryRules: [[String]]
        do {
            let registryData = try Data(contentsOf: registryJsonUrl)
            registryRules = try JSONDecoder().decode([[String]].self, from: registryData)
        } catch {
            print("WARNING failed to read public suffix registry file:", error)
            registryRules = []
        }
        return registryRules
    }
}
